---NO LONGER USED: so many of these are dropped I decided to just hardcode the stats

--called by the host on item creation
function init()
	item.gfxFile = "point1.png"
	item.animated = 1
	item.lifetimer = -1--8000 + math.random(-1000,3000)
	item.maxSpeed = 900
	item.speed = math.random(600,4200)
	item.rot = 270
	item.movrot = math.random(0,359)
	item.scale = .75
	
	--attach a trail emitter to the item
	stage.createEmitter("pointtrail", 0, 0)
	emitter.attach(item)
	emitter.upload()
	
	return 0
end


--called (by the host) every loop
--function update()
	--decelerate
--	if item.speed > 5 then
--		item.speed = item.speed - (item.speed*.10)
--	else
--		item.speed = 0
--	end
	
--	return 0
--end

--called by a ship when it successfully attracts this item
--function shipContact()
	--add a point to the ship
--	ship.addPoints(1)
	
	--make a glowy sfx
--	stage.sfx("button_mouseover.wav", item.x, item.y, .3)
	
	--remove this item from the map
--	item.remove()
--end